| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iBinarySaverPlugin Struct Reference
[Loading & Saving support]

This is a binary plugin to save with. More...

`#include <imap/writer.h>`

Inheritance diagram for iBinarySaverPlugin:

[legend]
List of all members.

## Public Member Functions
virtual bool | WriteDown (iBase *obj, iFile *file, iStreamSource *ssource)=0
| Take a given object and push description onto the given file.

## Detailed Description

This is a binary plugin to save with.

Definition at line 52 of file writer.h.

## Member Function Documentation

virtual bool iBinarySaverPlugin::WriteDown | ( | iBase * | obj,
|  | iFile * | file,
|  | iStreamSource * | ssource |
| ) |  |  | `[pure virtual]`

Take a given object and push description onto the given file.

The documentation for this struct was generated from the following file:

- imap/writer.h